cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PV1

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PV1

- All Implemented Interfaces:
    ISegment

      public class PV1
      extends Segment

  PV1 - Patient Visit Segment.

  The PV1 segment is used by Registration/Patient Administration applications to communicate information on an account or visit-specific basis.

  Represents an HL7 PV1 message segment. This segment has the following fields:

  PV1-1: Set ID - PV1 (SI)Optional
  PV1-2: Patient Class (CWE)Required
  PV1-3: Assigned Patient Location (PL)Optional
  PV1-4: Admission Type (CWE)Optional
  PV1-5: Preadmit Number (CX)Optional
  PV1-6: Prior Patient Location (PL)Optional
  PV1-7: Attending Doctor (XCN)Optional
  PV1-8: Referring Doctor (XCN)Optional
  PV1-9: Consulting Doctor (XCN)Backward
  PV1-10: Hospital Service (CWE)Optional
  PV1-11: Temporary Location (PL)Optional
  PV1-12: Preadmit Test Indicator (CWE)Optional
  PV1-13: Re-admission Indicator (CWE)Optional
  PV1-14: Admit Source (CWE)Optional
  PV1-15: Ambulatory Status (CWE)Optional
  PV1-16: VIP Indicator (CWE)Optional
  PV1-17: Admitting Doctor (XCN)Optional
  PV1-18: Patient Type (CWE)Optional
  PV1-19: Visit Number (CX)Optional
  PV1-20: Financial Class (FC)Optional
  PV1-21: Charge Price Indicator (CWE)Optional
  PV1-22: Courtesy Code (CWE)Optional
  PV1-23: Credit Rating (CWE)Optional
  PV1-24: Contract Code (CWE)Optional
  PV1-25: Contract Effective Date (DT)Optional
  PV1-26: Contract Amount (NM)Optional
  PV1-27: Contract Period (NM)Optional
  PV1-28: Interest Code (CWE)Optional
  PV1-29: Transfer to Bad Debt Code (CWE)Optional
  PV1-30: Transfer to Bad Debt Date (DT)Optional
  PV1-31: Bad Debt Agency Code (CWE)Optional
  PV1-32: Bad Debt Transfer Amount (NM)Optional
  PV1-33: Bad Debt Recovery Amount (NM)Optional
  PV1-34: Delete Account Indicator (CWE)Optional
  PV1-35: Delete Account Date (DT)Optional
  PV1-36: Discharge Disposition (CWE)Optional
  PV1-37: Discharged to Location (DLD)Optional
  PV1-38: Diet Type (CWE)Optional
  PV1-39: Servicing Facility (CWE)Optional
  PV1-40: Bed Status (CWE)Backward
  PV1-41: Account Status (CWE)Optional
  PV1-42: Pending Location (PL)Optional
  PV1-43: Prior Temporary Location (PL)Optional
  PV1-44: Admit Date/Time (DTM)Optional
  PV1-45: Discharge Date/Time (DTM)Optional
  PV1-46: Current Patient Balance (NM)Optional
  PV1-47: Total Charges (NM)Optional
  PV1-48: Total Adjustments (NM)Optional
  PV1-49: Total Payments (NM)Optional
  PV1-50: Alternate Visit ID (CX)Optional
  PV1-51: Visit Indicator (CWE)Optional
  PV1-52: Other Healthcare Provider (XCN)Withdrawn

  PV1-53: Service Episode Description(ST)Optional
  PV1-54: Service Episode Identifier(CX)Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PV1()` Constucts the PV1 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdmittingDoctor(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Admitting Doctor.
    `void` | `addAdmittingDoctor(XCN objtempAdmittingDoctor)` Sets the Admitting Doctor.
    `void` | `addAmbulatoryStatus(CWE objtempAmbulatoryStatus)` Set the Ambulatory Status.
    `void` | `addAmbulatoryStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Ambulatory Status.
    `void` | `addAttendingDoctor(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Attending Doctor.
    `void` | `addAttendingDoctor(XCN objtempAttendingDoctor)` Sets the AttendingDoctor.
    `void` | `addConsultingDoctor(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Consulting Doctor This field contains the consulting physician information.
    `void` | `addConsultingDoctor(XCN objtempConsultingDoctor)` Sets the ConsultingDoctor.
    `void` | `addContractAmount(NM objtempContractAmount)` Set the Contract Amount.
    `void` | `addContractAmount(java.lang.String strContractAmount)` Set the Contract Amount.
    `void` | `addContractCode(CWE objtempContractCode)` Set the Contract Code.
    `void` | `addContractCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Contract Code.
    `void` | `addContractEffectiveDate(DT objtempContractEffectiveDate)` Set the Contract Effective Date.
    `void` | `addContractEffectiveDate(java.lang.String strcontractEffectiveDate)` Set the Contract Effective Date.
    `void` | `addContractPeriod(NM objtempContractPeriod)` Set the Contract Period.
    `void` | `addContractPeriod(java.lang.String strContractPeriod)` Set the Contract Period.
    `void` | `addDischargeDateOrTime(DTM objtempDischargeDateOrTime)` Sets the DischargeDateOrTime.
    `void` | `addDischargeDateOrTime(java.lang.String strTime)` Set the Discharge Date Or Time.
    `void` | `addFinancialClass(FC objtempFinancialClass)` Set the Financial Class.
    `void` | `addFinancialClass(java.lang.String strFinancialClassCode, DTM objEffectiveDate)` Set the Financial Class.
    `void` | `addReferringDoctor(java.lang.String strIDNumber, FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, CWE objSourceTable, HD objAssigningAuthority, java.lang.String strNameTypeCode, java.lang.String strIdentifierCheckDigit, java.lang.String strCheckDigitScheme, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, java.lang.String strProfessionalSuffix, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepratment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Referring Doctor.
    `void` | `addReferringDoctor(XCN objtempReferringDoctor)` Sets the ReferringDoctor.
    `CWE` | `getAccountStatus()` Retrieves the Account Status.
    `CWE` | `getAdmissionType()` Retrieves the Admission Type.
    `DTM` | `getAdmitDateOrTime()` Retrieves the Admit Date Or Time.
    `CWE` | `getAdmitSource()` Retrieves the Admit Source.
    `ISingleCollection<XCN>` | `getAdmittingDoctor()` Retrieves the Admitting Doctor.
    `CX` | `getAlternateVisitID()` Retrieves the Alternate Visit ID.
    `ISingleCollection<CWE>` | `getAmbulatoryStatus()` Retrieves the Ambulatory Status.
    `PL` | `getAssignedPatientLocation()` Retrieves the Assigned Patient Location.
    `ISingleCollection<XCN>` | `getAttendingDoctor()` Retrieves the Attending Doctor.
    `CWE` | `getBadDebtAgencyCode()` Retrieves the Bad Debt Agency Code.
    `NM` | `getBadDebtRecoveryAmount()` Retrieves the Bad Debt Recovery Amount.
    `NM` | `getBadDebtTransferAmount()` Retrieves the Bad Debt Transfer Amount.
    `CWE` | `getBedStatus()` Retrieves the BedStatus.
    `CWE` | `getChargePriceIndicator()` Retrieves the Charge Price Indicator.
    `ISingleCollection<XCN>` | `getConsultingDoctor()` Retrieves the Consulting Doctor This field contains the consulting physician information.
    `ISingleCollection<NM>` | `getContractAmount()` Retrieves the Contract Amount.
    `ISingleCollection<CWE>` | `getContractCode()` Retrieves the Contract Code.
    `ISingleCollection<DT>` | `getContractEffectiveDate()` Retrieves the Contract Effective Date.
    `ISingleCollection<NM>` | `getContractPeriod()` Retrieves the Contract Period.
    `CWE` | `getCourtesyCode()` Retrieves the Courtesy Code.
    `CWE` | `getCreditRating()` Retrieves the Credit Rating.
    `NM` | `getCurrentPatientBalance()` Retrieves the Current Patient Balance.
    `DT` | `getDeleteAccountDate()` Retrieves the Delete Account Date.
    `CWE` | `getDeleteAccountIndicator()` Retrieves the Delete Account Indicator.
    `CWE` | `getDietType()` Retrieves the Diet Type.
    `ISingleCollection<DTM>` | `getDischargeDateOrTime()` Retrieves the Discharge Date Or Time.
    `CWE` | `getDischargeDisposition()` Retrieves the Discharge Disposition.
    `DLD` | `getDischargedToLocation()` Retrieves the Discharged To Location.
    `ISingleCollection<FC>` | `getFinancialClass()` Retrieves the Financial Class.
    `CWE` | `getHospitalService()` Retrieves the Hospital Service.
    `CWE` | `getInterestCode()` Retrieves the Interest Code.
    `ISingleCollection<XCN>` | `getOtherHealthCareProvider()` Retrieves the Other Health Care Provider.
    `CWE` | `getPatientClass()` Retrieves the Patient Class.
    `CWE` | `getPatientType()` Retrieves the Patient Type.
    `PL` | `getPendingLocation()` Retrieves the Pending Location.
    `CX` | `getPreAdmitNumber()` Retrieves the Pre Admit Number.
    `CWE` | `getPreAdmitTestIndicator()` Retrieves the Pre Admit Test Indicator.
    `PL` | `getPriorPatientLocation()` Retrieves the Prior Patient Location.
    `PL` | `getPriorTemporaryLocation()` Retrieves the Prior Temporary Location.
    `CWE` | `getReAdmissionIndicator()` Retrieves the Re Admission Indicator.
    `ISingleCollection<XCN>` | `getReferringDoctor()` Retrieves the Referring Doctor.
    `ST` | `getServiceEpisodeDescription()` Retriveves the Service Episode Description
    `CX` | `getServiceEpisodeIdentifier()` Retriveves the Service Episode Identifier
    `CWE` | `getServicingFacility()` Retrieves the Servicing Facility.
    `SI` | `getSetID()` Retrieves the Set ID.
    `PL` | `getTemporaryLocation()` Retrieves the Temporary Location.
    `NM` | `getTotalAdjustments()` Retrieves the Total Adjustments.
    `NM` | `getTotalCharges()` Retrieves the Total Charges.
    `NM` | `getTotalPayments()` Retrieves the Total Payments.
    `CWE` | `getTransferToBadDebtCode()` Retrieves the Transfer To Bad Debt Code.
    `DT` | `getTransferToBadDebtDate()` Retrieves the Transfer To Bad Debt Date.
    `CWE` | `getVipIndicator()` Retrieves the Vip Indicator.
    `CWE` | `getVisitIndicator()` Retrieves the Visit Indicator.
    `CX` | `getVisitNumber()` Retrieves the Visit Number.
    `void` | `setAccountStatus(CWE objaccountStatus)` Set the Account Status.
    `void` | `setAccountStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Account Status.
    `void` | `setAdmissionType(CWE objadmissionType)` Set the Admission Type.
    `void` | `setAdmissionType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Admission Type.
    `void` | `setAdmitDateOrTime(DTM objadmitDateOrTime)` Set the Admit Date Or Time.
    `void` | `setAdmitDateOrTime(java.lang.String strTime)` Set the Admit Date Or Time.
    `void` | `setAdmitSource(CWE objadmitSource)` Set the Admit Source.
    `void` | `setAdmitSource(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Admit Source.
    `void` | `setAdmittingDoctor(ISingleCollection<XCN> objAdmittingDoctorList)` Set the Admitting Doctor list.
    `void` | `setAlternateVisitID(CX objalternateVisitID)` Set the Alternate Visit ID.
    `void` | `setAlternateVisitID(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Alternate Visit ID.
    `void` | `setAmbulatoryStatus(ISingleCollection<CWE> objAmbulatoryStatusList)` Set the Ambulatory Status list.
    `void` | `setAssignedPatientLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, HD objBuilding, HD objFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Assigned Patient Location.
    `void` | `setAssignedPatientLocation(PL objassignedPatientLocation)` Set the Assigned Patient Location.
    `void` | `setAttendingDoctor(ISingleCollection<XCN> objAttendingDoctorList)` Set the Attending Doctor list.
    `void` | `setBadDebtAgencyCode(CWE objbadDebtAgencyCode)` Set the Bad Debt Agency Code.
    `void` | `setBadDebtAgencyCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Bad Debt Agency Code.
    `void` | `setBadDebtRecoveryAmount(NM objbadDebtRecoveryAmount)` Set the Bad Debt Recovery Amount.
    `void` | `setBadDebtRecoveryAmount(java.lang.String strBadDebtRecoveryAmount)` Set the Bad Debt Recovery Amount.
    `void` | `setBadDebtTransferAmount(NM objbadDebtTransferAmount)` Set the Bad Debt Transfer Amount.
    `void` | `setBadDebtTransferAmount(java.lang.String strBadDebtTransferAmount)` Set the Bad Debt Transfer Amount.
    `void` | `setChargePriceIndicator(CWE objchargePriceIndicator)` Set the Charge Price Indicator.
    `void` | `setChargePriceIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Charge Price Indicator.
    `void` | `setConsultingDoctor(ISingleCollection<XCN> objConsultingDoctorList)` Set the Consulting Doctor list.
    `void` | `setContractAmount(ISingleCollection<NM> objContractAmountList)` Set the Contract Amount list.
    `void` | `setContractCode(ISingleCollection<CWE> objContractCodeList)` Set the Contract Code list.
    `void` | `setContractEffectiveDate(ISingleCollection<DT> objContractEffectiveDateList)` Set the Contract Effective Date list.
    `void` | `setContractPeriod(ISingleCollection<NM> objContractPeriodList)` Set the Contract Period list.
    `void` | `setCourtesyCode(CWE objcourtesyCode)` Set the Courtesy Code.
    `void` | `setCourtesyCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Courtesy Code.
    `void` | `setCreditRating(CWE objcreditRating)` Set the Credit Rating.
    `void` | `setCreditRating(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Credit Rating.
    `void` | `setCurrentPatientBalance(NM objcurrentPatientBalance)` Set the Current Patient Balance.
    `void` | `setCurrentPatientBalance(java.lang.String strCurrentPatientBalance)` Set the Current Patient Balance.
    `void` | `setDeleteAccountDate(DT objdeleteAccountDate)` Set the Delete Account Date.
    `void` | `setDeleteAccountDate(java.lang.String strDeleteAccountDate)` Set the Delete Account Date.
    `void` | `setDeleteAccountIndicator(CWE objdeleteAccountIndicator)` Set the Delete Account Indicator.
    `void` | `setDeleteAccountIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Delete Account Indicator.
    `void` | `setDietType(CWE objdietType)` Set the Diet Type.
    `void` | `setDietType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Diet Type.
    `void` | `setDischargeDateOrTime(ISingleCollection<DTM> objDischargeDateOrTimeList)` Set the Discharge DateOrTime list.
    `void` | `setDischargeDisposition(CWE objdischargeDisposition)` Set the Discharge Disposition.
    `void` | `setDischargeDisposition(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Discharge Disposition.
    `void` | `setDischargedToLocation(DLD objdischargedToLocation)` Set the Discharged To Location.
    `void` | `setDischargedToLocation(java.lang.String strDischargeLocation, DTM objEffectiveDate)` Set the Discharged To Location.
    `void` | `setFinancialClass(ISingleCollection<FC> objFinancialClassList)` Set the Financial Class list.
    `void` | `setHospitalService(CWE objhospitalService)` Set the Hospital Service.
    `void` | `setHospitalService(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Hospital Service.
    `void` | `setInterestCode(CWE objinterestCode)` Set the Interest Code.
    `void` | `setInterestCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Interest Code.
    `void` | `setOtherHealthCareProvider(ISingleCollection<XCN> objOtherHealthCareProviderList)` /** Set the Other Health Care Provider list.
    `void` | `setPatientClass(CWE objpatientClass)` Set thePatient Class.
    `void` | `setPatientClass(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set thePatient Class.
    `void` | `setPatientType(CWE objpatientType)` Set the Patient Type.
    `void` | `setPatientType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Patient Type.
    `void` | `setPendingLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, HD objBuilding, HD objFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Pending Location.
    `void` | `setPendingLocation(PL objpendingLocation)` Set the Pending Location.
    `void` | `setPreAdmitNumber(CX objpreAdmitNumber)` Set the Pre Admit Number.
    `void` | `setPreAdmitNumber(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Pre Admit Number.
    `void` | `setPreAdmitTestIndicator(CWE objpreAdmitTestIndicator)` Set the Pre Admit Test Indicator.
    `void` | `setPreAdmitTestIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Pre Admit Test Indicator.
    `void` | `setPriorPatientLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, HD objBuilding, HD objFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Prior Patient Location.
    `void` | `setPriorPatientLocation(PL objpriorPatientLocation)` Set the Prior Patient Location.
    `void` | `setPriorTemporaryLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, HD objBuilding, HD objFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Prior Temporary Location.
    `void` | `setPriorTemporaryLocation(PL objpriorTemporaryLocation)` Set the Prior Temporary Location.
    `void` | `setReAdmissionIndicator(CWE objreAdmissionIndicator)` Set the Re Admission Indicator.
    `void` | `setReAdmissionIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Re Admission Indicator.
    `void` | `setReferringDoctor(ISingleCollection<XCN> objReferringDoctorList)` Set the Referring Doctor list.
    `void` | `setServiceEpisodeDescription(ST objserviceEpisodeDescription)` Set the Service Episode Description.
    `void` | `setServiceEpisodeDescription(java.lang.String strServiceEpisodeDescription)` Set the Service Episode Description.
    `void` | `setServiceEpisodeIdentifier(CX objServiceEpisodeIdentifier)` Set the Service Episode Identifier.
    `void` | `setServiceEpisodeIdentifier(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Service Episode Identifier.
    `void` | `setServicingFacility(CWE objservicingFacility)` Set the Servicing Facility.
    `void` | `setServicingFacility(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Servicing Facility.
    `void` | `setSetID(SI objsetID)` Set the Set ID.
    `void` | `setSetID(java.lang.String strSquenceID)` Set the Set ID.
    `void` | `setTemporaryLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, HD objBuilding, HD objFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Temporary Location.
    `void` | `setTemporaryLocation(PL objtemporaryLocation)` Set the Temporary Location.
    `void` | `setTotalAdjustments(NM objtotalAdjustments)` Set the Total Adjustments.
    `void` | `setTotalAdjustments(java.lang.String strTotalAdjustments)` Set the Total Adjustments.
    `void` | `setTotalCharges(NM objtotalCharges)` Set the Total Charges.
    `void` | `setTotalCharges(java.lang.String strTotalCharges)` Set the Total Charges.
    `void` | `setTotalPayments(NM objtotalPayments)` Set the Total Payments.
    `void` | `setTotalPayments(java.lang.String strTotalPayments)` Set the Total Payments.
    `void` | `setTransferToBadDebtCode(CWE objtransferToBadDebtCode)` Set the Transfer To Bad Debt Code.
    `void` | `setTransferToBadDebtCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Transfer To Bad Debt Code.
    `void` | `setTransferToBadDebtDate(DT objtransferToBadDebtDate)` Set the Transfer To Bad Debt Date.
    `void` | `setTransferToBadDebtDate(java.lang.String strTransferToBadDebtDate)` Set the Transfer To Bad Debt Date.
    `void` | `setVipIndicator(CWE objvipIndicator)` Set the Vip Indicator.
    `void` | `setVipIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Vip Indicator.
    `void` | `setVisitIndicator(CWE objvisitIndicator)` Set the Visit Indicator.
    `void` | `setVisitIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Visit Indicator.
    `void` | `setVisitNumber(CX objvisitNumber)` Set the Visit Number.
    `void` | `setVisitNumber(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Visit Number.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PV1

          public PV1()

      Constucts the PV1 segment.

  - ### Method Detail

    - #### getAccountStatus

          public CWE getAccountStatus()

      Retrieves the Account Status.
      Returns:
        String - accountStatus

    - #### getAdmissionType

          public CWE getAdmissionType()

      Retrieves the Admission Type. This field indicates the circumstances under which the patient is admit.
      Returns:
        String - admissionType

    - #### getAdmitDateOrTime

          public DTM getAdmitDateOrTime()

      Retrieves the Admit Date Or Time.
      Returns:
        DTM - admitDateOrTime

    - #### getAdmitSource

          public CWE getAdmitSource()

      Retrieves the Admit Source.
      Returns:
        String - admitSource

    - #### getAdmittingDoctor

          public ISingleCollection<XCN> getAdmittingDoctor()

      Retrieves the Admitting Doctor. This field contains the admitting physician information.
      Returns:
        ISingleCollection - admittingDoctor

    - #### getAlternateVisitID

          public CX getAlternateVisitID()

      Retrieves the Alternate Visit ID. This field contains the alternative, temporary or pending optional visit ID number to be used if needed.
      Returns:
        CX - alternateVisitID

    - #### getAmbulatoryStatus

          public ISingleCollection<CWE> getAmbulatoryStatus()

      Retrieves the Ambulatory Status. This field indicates any permanent or transient handicapped conditions.
      Returns:
        ISingleCollection - ambulatoryStatus

    - #### getAssignedPatientLocation

          public PL getAssignedPatientLocation()

      Retrieves the Assigned Patient Location. This field contains the patient's initial assigned location or the location to which the patient is being moved.
      Returns:
        PL - assignedPatientLocation

    - #### getAttendingDoctor

          public ISingleCollection<XCN> getAttendingDoctor()

      Retrieves the Attending Doctor. This field contains the attending physician information.
      Returns:
        ISingleCollection - attendingDoctor

    - #### getBadDebtAgencyCode

          public CWE getBadDebtAgencyCode()

      Retrieves the Bad Debt Agency Code.
      Returns:
        String - badDebtAgencyCode

    - #### getBadDebtRecoveryAmount

          public NM getBadDebtRecoveryAmount()

      Retrieves the Bad Debt Recovery Amount. This field contains the amount recover from the guarantor on the account.
      Returns:
        String - badDebtRecoveryAmount

    - #### getBadDebtTransferAmount

          public NM getBadDebtTransferAmount()

      Retrieves the Bad Debt Transfer Amount.
      Returns:
        String - badDebtTransferAmount

    - #### getBedStatus

          public CWE getBedStatus()

      Retrieves the BedStatus.
      Returns:
        String - bedStatus

    - #### getChargePriceIndicator

          public CWE getChargePriceIndicator()

      Retrieves the Charge Price Indicator. This field contains the code used to determine which price schedule is to be used for room and bed charges.
      Returns:
        String - chargePriceIndicator

    - #### getConsultingDoctor

          public ISingleCollection<XCN> getConsultingDoctor()

      Retrieves the Consulting Doctor This field contains the consulting physician information.
      Returns:
        ISingleCollection - consultingDoctor

    - #### getContractAmount

          public ISingleCollection<NM> getContractAmount()

      Retrieves the Contract Amount. This field contains the amount to be paid by the guarantor according to the contract.
      Returns:
        ISingleCollection - contractAmount

    - #### getContractCode

          public ISingleCollection<CWE> getContractCode()

      Retrieves the Contract Code. This field identify the type of contract enter into by the healthcare facility and the guarantor for the purpose of settling outstanding account balances.
      Returns:
        ISingleCollection - contractCode

    - #### getContractEffectiveDate

          public ISingleCollection<DT> getContractEffectiveDate()

      Retrieves the Contract Effective Date. This field contains the date that the contract is to start or started.
      Returns:
        ISingleCollection
      - contractEffectiveDate

    - #### getContractPeriod

          public ISingleCollection<NM> getContractPeriod()

      Retrieves the Contract Period. This field specifies the duration of the contract for user-defined periods.
      Returns:
        ISingleCollection - contractPeriod

    - #### getCourtesyCode

          public CWE getCourtesyCode()

      Retrieves the Courtesy Code. This field indicates whether the patient is extended certain special courtesies or not.
      Returns:
        String - courtesyCode

    - #### getCreditRating

          public CWE getCreditRating()

      Retrieves the Credit Rating. This field contains the user-defined code to determine past credit experience.
      Returns:
        String - creditRating

    - #### getCurrentPatientBalance

          public NM getCurrentPatientBalance()

      Retrieves the Current Patient Balance.
      Returns:
        String - currentPatientBalance

    - #### getDeleteAccountDate

          public DT getDeleteAccountDate()

      Retrieves the Delete Account Date. This field contains the date that the accounts are delete from the file.
      Returns:
        String - deleteAccountDate

    - #### getDeleteAccountIndicator

          public CWE getDeleteAccountIndicator()

      Retrieves the Delete Account Indicator. This field indicates that the account are delete from the file and gives its reason.
      Returns:
        String - deleteAccountIndicator

    - #### getDietType

          public CWE getDietType()

      Retrieves the Diet Type. This field indicates a special diet type for a patient.
      Returns:
        CWE - dietType

    - #### getDischargeDateOrTime

          public ISingleCollection<DTM> getDischargeDateOrTime()

      Retrieves the Discharge Date Or Time. This field contains the discharge date/time.
      Returns:
        ISingleCollection - dischargeDateOrTime

    - #### getDischargeDisposition

          public CWE getDischargeDisposition()

      Retrieves the Discharge Disposition. This field contains the disposition of the patient at time of discharge.
      Returns:
        String - dischargeDisposition

    - #### getDischargedToLocation

          public DLD getDischargedToLocation()

      Retrieves the Discharged To Location.
      Returns:
        DLD - dischargedToLocation

    - #### getFinancialClass

          public ISingleCollection<FC> getFinancialClass()

      Retrieves the Financial Class. This field contains the financial class(es) assigned to the patient for the purpose of identifying sources of reimbursement.
      Returns:
        ISingleCollection - financialClass

    - #### getHospitalService

          public CWE getHospitalService()

      Retrieves the Hospital Service. This field contains the treatment or type of surgery that the patient is scheduled to receive.
      Returns:
        String - hospitalService

    - #### getInterestCode

          public CWE getInterestCode()

      Retrieves the Interest Code. This field indicates the amount of interest that is charge the guarantor on any outstanding amounts.
      Returns:
        String - interestCode

    - #### getOtherHealthCareProvider

          public ISingleCollection<XCN> getOtherHealthCareProvider()

      Retrieves the Other Health Care Provider.
      Returns:
        ISingleCollection - otherHealthCareProvider

    - #### getPatientType

          public CWE getPatientType()

      Retrieves the Patient Type. This field contains site-specific values that identify the patient type.
      Returns:
        String - patientType

    - #### getPendingLocation

          public PL getPendingLocation()

      Retrieves the Pending Location. This field indicates the point of care, room, bed, healthcare facility ID, and bed status to which the patient is move.
      Returns:
        PL - pendingLocation

    - #### getPreAdmitNumber

          public CX getPreAdmitNumber()

      Retrieves the Pre Admit Number. This field uniquely identifies the patient's pre admit account.
      Returns:
        CX - preAdmitNumber

    - #### getPreAdmitTestIndicator

          public CWE getPreAdmitTestIndicator()

      Retrieves the Pre Admit Test Indicator. This field indicates whether the patient must have pre admission testing done in order to be admitted or not.
      Returns:
        String - preAdmitTestIndicator

    - #### getPriorPatientLocation

          public PL getPriorPatientLocation()

      Retrieves the Prior Patient Location. This field contains the prior patient location if the patient is transfer.
      Returns:
        PL - priorPatientLocation

    - #### getPriorTemporaryLocation

          public PL getPriorTemporaryLocation()

      Retrieves the Prior Temporary Location. This field is used to reflect the patient's temporary location.
      Returns:
        PL - priorTemporaryLocation

    - #### getReAdmissionIndicator

          public CWE getReAdmissionIndicator()

      Retrieves the Re Admission Indicator. This field indicates that a patient is re-admitted to the healthcare facility and gives the circumstances.
      Returns:
        String - reAdmissionIndicator

    - #### getReferringDoctor

          public ISingleCollection<XCN> getReferringDoctor()

      Retrieves the Referring Doctor. This field contains the referring physician information.
      Returns:
        ISingleCollection - referringDoctor

    - #### getServicingFacility

          public CWE getServicingFacility()

      Retrieves the Servicing Facility. This field specify a multiple facility environment to indicate the healthcare facility with which this visit is associated.
      Returns:
        String - servicingFacility

    - #### getSetID

          public SI getSetID()

      Retrieves the Set ID. This field contains the number that identifies this transaction.
      Returns:
        String - setID

    - #### getTemporaryLocation

          public PL getTemporaryLocation()

      Retrieves the Temporary Location. This field contains a location other than the assigned location require for a temporary period of time(e.g., OR, operating theatre, etc.).
      Returns:
        PL - temporaryLocation

    - #### getTotalAdjustments

          public NM getTotalAdjustments()

      Retrieves the Total Adjustments. This field contains the total adjustments for visit.
      Returns:
        String - totalAdjustments

    - #### getTotalCharges

          public NM getTotalCharges()

      Retrieves the Total Charges.
      Returns:
        String - totalCharges

    - #### getTotalPayments

          public NM getTotalPayments()

      Retrieves the Total Payments.
      Returns:
        String - totalPayments

    - #### getTransferToBadDebtCode

          public CWE getTransferToBadDebtCode()

      Retrieves the Transfer To Bad Debt Code. This field indicates that the account is transfer to bad debts and gives its reason.
      Returns:
        String - transferToBadDebtCode

    - #### getTransferToBadDebtDate

          public DT getTransferToBadDebtDate()

      Retrieves the Transfer To Bad Debt Date. This field contains the date that the account is transferred to a bad debt status.
      Returns:
        String - transferToBadDebtDate

    - #### getVipIndicator

          public CWE getVipIndicator()

      Retrieves the Vip Indicator.
      Returns:
        String - vipIndicator

    - #### getVisitIndicator

          public CWE getVisitIndicator()

      Retrieves the Visit Indicator. This field specifies the level on which data are being sent.
      Returns:
        String - visitIndicator

    - #### getVisitNumber

          public CX getVisitNumber()

      Retrieves the Visit Number. This field contains the unique number assigned to each patient visit.
      Returns:
        CX - visitNumber

    - #### getPatientClass

          public CWE getPatientClass()

      Retrieves the Patient Class.
      Returns:
        CWE patientClass

    - #### getServiceEpisodeDescription

          public ST getServiceEpisodeDescription()

      Retriveves the Service Episode Description
      Returns:
        ST Service Episode Description

    - #### getServiceEpisodeIdentifier

          public CX getServiceEpisodeIdentifier()

      Retriveves the Service Episode Identifier
      Returns:
        CX Service Episode Identifier

    - #### setAccountStatus

          public void setAccountStatus(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Account Status.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAccountStatus

          public void setAccountStatus(CWE objaccountStatus)

      Set the Account Status.
      Parameters:
        `objaccountStatus` - object of AccountStatus.

    - #### setAdmissionType

          public void setAdmissionType(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Admission Type.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdmissionType

          public void setAdmissionType(CWE objadmissionType)

      Set the Admission Type. This field indicates the circumstances under which the patient is admit.
      Parameters:
        `objadmissionType` - object of AdmissionType.

    - #### setAdmitDateOrTime

          public void setAdmitDateOrTime(java.lang.String strTime)

      Set the Admit Date Or Time.
      Parameters:
        `strTime` - Use as Time.

    - #### setAdmitDateOrTime

          public void setAdmitDateOrTime(DTM objadmitDateOrTime)

      Set the Admit Date Or Time.
      Parameters:
        `strTime` - Use as Time.
        `objadmitDateOrTime` - object of DegreeOfPrecision.

    - #### setAdmitSource

          public void setAdmitSource(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Admit Source.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setAdmitSource

          public void setAdmitSource(CWE objadmitSource)

      Set the Admit Source.
      Parameters:
        `objadmitSource` - object of AdmitSource.

    - #### addAdmittingDoctor

          public void addAdmittingDoctor(java.lang.String strIDNumber,
                                FN objFamilyName,
                                java.lang.String strGivenName,
                                java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                java.lang.String strSuffix,
                                java.lang.String strPrefix,
                                CWE objSourceTable,
                                HD objAssigningAuthority,
                                java.lang.String strNameTypeCode,
                                java.lang.String strIdentifierCheckDigit,
                                java.lang.String strCheckDigitScheme,
                                java.lang.String strIdentifierTypeCode,
                                HD objAssigningFacility,
                                java.lang.String strNameRepresentationCode,
                                CWE objNameContext,
                                java.lang.String strNameAssemblyOrder,
                                java.lang.String strEffectiveDate,
                                java.lang.String strExpirationDate,
                                java.lang.String strProfessionalSuffix,
                                CWE objAssigningJurisdiction,
                                CWE objAssigningAgencyOrDepratment,
                                java.lang.String strSecurityCheck,
                                java.lang.String strSecurityCheckScheme)

      Set the Admitting Doctor.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addAdmittingDoctor

          public void addAdmittingDoctor(XCN objtempAdmittingDoctor)

      Sets the Admitting Doctor.
      Parameters:
        `objtempAdmittingDoctor` - object of AdmittingDoctor

    - #### setAdmittingDoctor

          public void setAdmittingDoctor(ISingleCollection<XCN> objAdmittingDoctorList)

      Set the Admitting Doctor list.
      Parameters:
        `objDiagnosingClinicianList` - List of Admitting Doctor

    - #### setAlternateVisitID

          public void setAlternateVisitID(java.lang.String strIDNumber,
                                 java.lang.String strCheckDigit,
                                 java.lang.String strCheckDigitScheme,
                                 HD objAssigningAuthority,
                                 java.lang.String strIdentifierTypeCode,
                                 HD objAssigningFacility,
                                 java.lang.String strEffectiveDate,
                                 java.lang.String strExpirationDate,
                                 CWE objAssigningJurisdiction,
                                 CWE objAssigningAgencyOrDepartment,
                                 java.lang.String strSecurityCheck,
                                 java.lang.String strSecurityCheckScheme)

      Set the Alternate Visit ID. This field contains the alternative, temporary or pending optional visit ID number to be used if needed.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### setAlternateVisitID

          public void setAlternateVisitID(CX objalternateVisitID)

      Set the Alternate Visit ID. This field contains the alternative, temporary or pending optional visit ID number to be used if needed.
      Parameters:
        `objalternateVisitID` - object of AlternateVisitID.

    - #### addAmbulatoryStatus

          public void addAmbulatoryStatus(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Ambulatory Status.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addAmbulatoryStatus

          public void addAmbulatoryStatus(CWE objtempAmbulatoryStatus)

      Set the Ambulatory Status. This field indicates any permanent or transient handicapped conditions.
      Parameters:
        `objtempAmbulatoryStatus` - object of AmbulatoryStatus.

    - #### setAmbulatoryStatus

          public void setAmbulatoryStatus(ISingleCollection<CWE> objAmbulatoryStatusList)

      Set the Ambulatory Status list.
      Parameters:
        `objAmbulatoryStatusList` - List of Ambulatory Status

    - #### setAssignedPatientLocation

          public void setAssignedPatientLocation(HD objPointOfCare,
                                        HD objRoom,
                                        HD objBed,
                                        HD objFacility,
                                        java.lang.String strLocationStatus,
                                        java.lang.String strPersonLocationType,
                                        HD objBuilding,
                                        HD objFloor,
                                        java.lang.String strLocationDescription,
                                        EI objComprehensiveLocationIdentifier,
                                        HD objAssigningAuthorityForLocation)

      Set the Assigned Patient Location. This field contains the patient's initial assigned location or the location to which the patient is being moved.
      Parameters:
        `strPointOfCare` - Use as PointOfCare.
        `strRoom` - Use as Room.
        `strBed` - Use as Bed.
        `objFacility` - Use as Facility.
        `strLocationStatus` - Use as LocationStatus.
        `strPersonLocationType` - Use as PersonLocationType.
        `strBuilding` - Use as Building.
        `strFloor` - Use as Floor.
        `strLocationDescription` - Use as LocationDescription.
        `objComprehensiveLocationIdentifier` - Use as ComprehensiveLocationIdentifier.
        `objAssigningAuthorityForLocation` - Use as AssigningAuthorityForLocation.

    - #### setAssignedPatientLocation

          public void setAssignedPatientLocation(PL objassignedPatientLocation)

      Set the Assigned Patient Location. This field contains the patient's initial assigned location or the location to which the patient is being moved.
      Parameters:
        `objassignedPatientLocation` - object of AssignedPatientLocation

    - #### addAttendingDoctor

          public void addAttendingDoctor(java.lang.String strIDNumber,
                                FN objFamilyName,
                                java.lang.String strGivenName,
                                java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                java.lang.String strSuffix,
                                java.lang.String strPrefix,
                                CWE objSourceTable,
                                HD objAssigningAuthority,
                                java.lang.String strNameTypeCode,
                                java.lang.String strIdentifierCheckDigit,
                                java.lang.String strCheckDigitScheme,
                                java.lang.String strIdentifierTypeCode,
                                HD objAssigningFacility,
                                java.lang.String strNameRepresentationCode,
                                CWE objNameContext,
                                java.lang.String strNameAssemblyOrder,
                                java.lang.String strEffectiveDate,
                                java.lang.String strExpirationDate,
                                java.lang.String strProfessionalSuffix,
                                CWE objAssigningJurisdiction,
                                CWE objAssigningAgencyOrDepratment,
                                java.lang.String strSecurityCheck,
                                java.lang.String strSecurityCheckScheme)

      Set the Attending Doctor. This field contains the attending physician information.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addAttendingDoctor

          public void addAttendingDoctor(XCN objtempAttendingDoctor)

      Sets the AttendingDoctor.
      Parameters:
        `objtempAttendingDoctor` - object of AttendingDoctor

    - #### setAttendingDoctor

          public void setAttendingDoctor(ISingleCollection<XCN> objAttendingDoctorList)

      Set the Attending Doctor list.
      Parameters:
        `objDiagnosingClinicianList` - List of Attending Doctor

    - #### setBadDebtAgencyCode

          public void setBadDebtAgencyCode(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Bad Debt Agency Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setBadDebtAgencyCode

          public void setBadDebtAgencyCode(CWE objbadDebtAgencyCode)

      Set the Bad Debt Agency Code.
      Parameters:
        `objbadDebtAgencyCode` - object of BadDebtAgencyCode.

    - #### setBadDebtRecoveryAmount

          public void setBadDebtRecoveryAmount(java.lang.String strBadDebtRecoveryAmount)

      Set the Bad Debt Recovery Amount. This field contains the amount recover from the guarantor on the account.
      Parameters:
        `strBadDebtRecoveryAmount` - Use as BadDebtRecoveryAmount.

    - #### setBadDebtRecoveryAmount

          public void setBadDebtRecoveryAmount(NM objbadDebtRecoveryAmount)

      Set the Bad Debt Recovery Amount. This field contains the amount recover from the guarantor on the account.
      Parameters:
        `objbadDebtRecoveryAmount` - object of BadDebtRecoveryAmount.

    - #### setBadDebtTransferAmount

          public void setBadDebtTransferAmount(java.lang.String strBadDebtTransferAmount)

      Set the Bad Debt Transfer Amount.
      Parameters:
        `strBadDebtTransferAmount` - Use as BadDebtTransferAmount.

    - #### setBadDebtTransferAmount

          public void setBadDebtTransferAmount(NM objbadDebtTransferAmount)

      Set the Bad Debt Transfer Amount.
      Parameters:
        `objbadDebtTransferAmount` - object of BadDebtTransferAmount.

    - #### setChargePriceIndicator

          public void setChargePriceIndicator(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Charge Price Indicator.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setChargePriceIndicator

          public void setChargePriceIndicator(CWE objchargePriceIndicator)

      Set the Charge Price Indicator. This field contains the code used to determine which price schedule is to be used for room and bed charges.
      Parameters:
        `objchargePriceIndicator` - object of ChargePriceIndicator.

    - #### addConsultingDoctor

          public void addConsultingDoctor(java.lang.String strIDNumber,
                                 FN objFamilyName,
                                 java.lang.String strGivenName,
                                 java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                 java.lang.String strSuffix,
                                 java.lang.String strPrefix,
                                 CWE objSourceTable,
                                 HD objAssigningAuthority,
                                 java.lang.String strNameTypeCode,
                                 java.lang.String strIdentifierCheckDigit,
                                 java.lang.String strCheckDigitScheme,
                                 java.lang.String strIdentifierTypeCode,
                                 HD objAssigningFacility,
                                 java.lang.String strNameRepresentationCode,
                                 CWE objNameContext,
                                 java.lang.String strNameAssemblyOrder,
                                 java.lang.String strEffectiveDate,
                                 java.lang.String strExpirationDate,
                                 java.lang.String strProfessionalSuffix,
                                 CWE objAssigningJurisdiction,
                                 CWE objAssigningAgencyOrDepratment,
                                 java.lang.String strSecurityCheck,
                                 java.lang.String strSecurityCheckScheme)

      Set the Consulting Doctor This field contains the consulting physician information.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addConsultingDoctor

          public void addConsultingDoctor(XCN objtempConsultingDoctor)

      Sets the ConsultingDoctor.
      Parameters:
        `objtempConsultingDoctor` - object of ConsultingDoctor

    - #### setConsultingDoctor

          public void setConsultingDoctor(ISingleCollection<XCN> objConsultingDoctorList)

      Set the Consulting Doctor list.
      Parameters:
        `objDiagnosingClinicianList` - List of Consulting Doctor

    - #### addContractAmount

          public void addContractAmount(java.lang.String strContractAmount)

      Set the Contract Amount. This field contains the amount to be paid by the guarantor according to the contract.
      Parameters:
        `strContractAmount` - Use as ContractAmount.

    - #### addContractAmount

          public void addContractAmount(NM objtempContractAmount)

      Set the Contract Amount. This field contains the amount to be paid by the guarantor according to the contract.
      Parameters:
        `objtempContractAmount` - object of ContractAmount.

    - #### setContractAmount

          public void setContractAmount(ISingleCollection<NM> objContractAmountList)

      Set the Contract Amount list.
      Parameters:
        `objDiagnosingClinicianList` - List of Contract Amount

    - #### addContractCode

          public void addContractCode(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Contract Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addContractCode

          public void addContractCode(CWE objtempContractCode)

      Set the Contract Code. This field identify the type of contract enter into by the healthcare facility and the guarantor for the purpose of settling outstanding account balances.
      Parameters:
        `objtempContractCode` - object of ContractCode.

    - #### setContractCode

          public void setContractCode(ISingleCollection<CWE> objContractCodeList)

      Set the Contract Code list.
      Parameters:
        `objDiagnosingClinicianList` - List of Contract Code

    - #### addContractEffectiveDate

          public void addContractEffectiveDate(java.lang.String strcontractEffectiveDate)

      Set the Contract Effective Date. This field contains the date that the contract is to start or started.
      Parameters:
        `strcontractEffectiveDate` - Use as contractEffectiveDate.

    - #### addContractEffectiveDate

          public void addContractEffectiveDate(DT objtempContractEffectiveDate)

      Set the Contract Effective Date. This field contains the date that the contract is to start or started.
      Parameters:
        `objtempContractEffectiveDate` - object of contractEffectiveDate.

    - #### setContractEffectiveDate

          public void setContractEffectiveDate(ISingleCollection<DT> objContractEffectiveDateList)

      Set the Contract Effective Date list.
      Parameters:
        `objContractEffectiveDateList` - List of Contract Effective Date.

    - #### addContractPeriod

          public void addContractPeriod(java.lang.String strContractPeriod)

      Set the Contract Period. This field specifies the duration of the contract for user-defined periods.
      Parameters:
        `strContractPeriod` - Use as ContractPeriod.

    - #### addContractPeriod

          public void addContractPeriod(NM objtempContractPeriod)

      Set the Contract Period. This field specifies the duration of the contract for user-defined periods.
      Parameters:
        `objtempContractPeriod` - object of ContractPeriod.

    - #### setContractPeriod

          public void setContractPeriod(ISingleCollection<NM> objContractPeriodList)

      Set the Contract Period list.
      Parameters:
        `objContractPeriodList` - List of Contract Period.

    - #### setCourtesyCode

          public void setCourtesyCode(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Courtesy Code. This field indicates whether the patient is extended certain special courtesies or not.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCourtesyCode

          public void setCourtesyCode(CWE objcourtesyCode)

      Set the Courtesy Code. This field indicates whether the patient is extended certain special courtesies or not.
      Parameters:
        `objcourtesyCode` - object of CourtesyCode.

    - #### setCreditRating

          public void setCreditRating(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Credit Rating.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setCreditRating

          public void setCreditRating(CWE objcreditRating)

      Set the Credit Rating. This field contains the user-defined code to determine past credit experience.
      Parameters:
        `objcreditRating` - object of CreditRating.

    - #### setCurrentPatientBalance

          public void setCurrentPatientBalance(java.lang.String strCurrentPatientBalance)

      Set the Current Patient Balance.
      Parameters:
        `strCurrentPatientBalance` - Use as CurrentPatientBalance.

    - #### setCurrentPatientBalance

          public void setCurrentPatientBalance(NM objcurrentPatientBalance)

      Set the Current Patient Balance.
      Parameters:
        `objcurrentPatientBalance` - object of CurrentPatientBalance.

    - #### setDeleteAccountDate

          public void setDeleteAccountDate(java.lang.String strDeleteAccountDate)

      Set the Delete Account Date. This field contains the date that the accounts are delete from the file.
      Parameters:
        `strDeleteAccountDate` - Use as DeleteAccountDate.

    - #### setDeleteAccountDate

          public void setDeleteAccountDate(DT objdeleteAccountDate)

      Set the Delete Account Date. This field contains the date that the accounts are delete from the file.
      Parameters:
        `objdeleteAccountDate` - object of DeleteAccountDate.

    - #### setDeleteAccountIndicator

          public void setDeleteAccountIndicator(java.lang.String strIdentifier,
                                       java.lang.String strText,
                                       java.lang.String strNameOfCodingSystem,
                                       java.lang.String strAlternateIdentifier,
                                       java.lang.String strAlternateText,
                                       java.lang.String strNameOfAlternateCodingSystem,
                                       java.lang.String strCodingSystemVersionID,
                                       java.lang.String strAlternateCodingSystemVersionId,
                                       java.lang.String strOriginalText,
                                       java.lang.String strSecondAlternateIdentifier,
                                       java.lang.String strSecondAlternateText,
                                       java.lang.String strNameofSecondAlternateCodingSystem,
                                       java.lang.String strSecondAlternateCodingSystemVersionID,
                                       java.lang.String strCodingSystemOID,
                                       java.lang.String strValueSetOID,
                                       java.lang.String strValueSetVersionID,
                                       java.lang.String strAlternateCodingSystemOID,
                                       java.lang.String strAlternateValueSetOID,
                                       java.lang.String strAlternateValueSetVersionID,
                                       java.lang.String strSecondAlternateCodingSystemOID,
                                       java.lang.String strSecondAlternateValueSetOID,
                                       java.lang.String strSecondAlternateValueSetVersionID)

      Set the Delete Account Indicator. This field indicates that the account are delete from the file and gives its reason.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDeleteAccountIndicator

          public void setDeleteAccountIndicator(CWE objdeleteAccountIndicator)

      Set the Delete Account Indicator. This field indicates that the account are delete from the file and gives its reason.
      Parameters:
        `objdeleteAccountIndicator` - object of DeleteAccountIndicator.

    - #### setDietType

          public void setDietType(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Diet Type. This field indicates a special diet type for a patient.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDietType

          public void setDietType(CWE objdietType)

      Set the Diet Type. This field indicates a special diet type for a patient.
      Parameters:
        `objdietType` - object of dietType.

    - #### addDischargeDateOrTime

          public void addDischargeDateOrTime(java.lang.String strTime)

      Set the Discharge Date Or Time. This field contains the discharge date/time.
      Parameters:
        `strTime` - Use as Time

    - #### addDischargeDateOrTime

          public void addDischargeDateOrTime(DTM objtempDischargeDateOrTime)

      Sets the DischargeDateOrTime.
      Parameters:
        `objtempDischargeDateOrTime` - object of DegreeOfPrecision.

    - #### setDischargeDateOrTime

          public void setDischargeDateOrTime(ISingleCollection<DTM> objDischargeDateOrTimeList)

      Set the Discharge DateOrTime list.
      Parameters:
        `objDiagnosingClinicianList` - List of Discharge DateOrTime

    - #### setDischargeDisposition

          public void setDischargeDisposition(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Discharge Disposition. This field contains the disposition of the patient at time of discharge.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDischargeDisposition

          public void setDischargeDisposition(CWE objdischargeDisposition)

      Set the Discharge Disposition. This field contains the disposition of the patient at time of discharge.
      Parameters:
        `objdischargeDisposition` - object of DischargeDisposition.

    - #### setDischargedToLocation

          public void setDischargedToLocation(java.lang.String strDischargeLocation,
                                     DTM objEffectiveDate)

      Set the Discharged To Location.
      Parameters:
        `strDischargeLocation` - Use as DischargeLocation.
        `objEffectiveDate` - Use as EffectiveDate.

    - #### setDischargedToLocation

          public void setDischargedToLocation(DLD objdischargedToLocation)

      Set the Discharged To Location.
      Parameters:
        `objdischargedToLocation` - object of DischargedToLocation

    - #### addFinancialClass

          public void addFinancialClass(java.lang.String strFinancialClassCode,
                               DTM objEffectiveDate)

      Set the Financial Class. This field contains the financial class(es) assigned to the patient for the purpose of identifying sources of reimbursement.
      Parameters:
        `strFinancialClassCode` - Use as FinancialClassCode.
        `objEffectiveDate` - Use as EffectiveDate.

    - #### addFinancialClass

          public void addFinancialClass(FC objtempFinancialClass)

      Set the Financial Class. This field contains the financial class(es) assigned to the patient for the purpose of identifying sources of reimbursement.
      Parameters:
        `objtempFinancialClass` - object of EffectiveDate.

    - #### setFinancialClass

          public void setFinancialClass(ISingleCollection<FC> objFinancialClassList)

      Set the Financial Class list.
      Parameters:
        `objDiagnosingClinicianList` - List of Financial Class

    - #### setHospitalService

          public void setHospitalService(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Hospital Service.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setHospitalService

          public void setHospitalService(CWE objhospitalService)

      Set the Hospital Service. This field contains the treatment or type of surgery that the patient is scheduled to receive.
      Parameters:
        `objhospitalService` - object of HospitalService.

    - #### setInterestCode

          public void setInterestCode(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Interest Code. This field indicates the amount of interest that is charge the guarantor on any outstanding amounts.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setInterestCode

          public void setInterestCode(CWE objinterestCode)

      Set the Interest Code. This field indicates the amount of interest that is charge the guarantor on any outstanding amounts.
      Parameters:
        `objinterestCode` - object of InterestCode.

    - #### setOtherHealthCareProvider

          public void setOtherHealthCareProvider(ISingleCollection<XCN> objOtherHealthCareProviderList)

      /** Set the Other Health Care Provider list.
      Parameters:
        `objDiagnosingClinicianList` - List of Other Health Care Provider.

    - #### setPatientClass

          public void setPatientClass(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set thePatient Class.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPatientClass

          public void setPatientClass(CWE objpatientClass)

      Set thePatient Class.
      Parameters:
        `objpatientClass` - object of PatientClass.

    - #### setPatientType

          public void setPatientType(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Patient Type. This field contains site-specific values that identify the patient type.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPatientType

          public void setPatientType(CWE objpatientType)

      Set the Patient Type. This field contains site-specific values that identify the patient type.
      Parameters:
        `objpatientType` - object of PatientType.

    - #### setPendingLocation

          public void setPendingLocation(HD objPointOfCare,
                                HD objRoom,
                                HD objBed,
                                HD objFacility,
                                java.lang.String strLocationStatus,
                                java.lang.String strPersonLocationType,
                                HD objBuilding,
                                HD objFloor,
                                java.lang.String strLocationDescription,
                                EI objComprehensiveLocationIdentifier,
                                HD objAssigningAuthorityForLocation)

      Set the Pending Location. This field indicates the point of care, room, bed, healthcare facility ID, and bed status to which the patient is move.
      Parameters:
        `strPointOfCare` - Use as PointOfCare.
        `strRoom` - Use as Room.
        `strBed` - Use as Bed.
        `objFacility` - Use as Facility.
        `strLocationStatus` - Use as LocationStatus.
        `strPersonLocationType` - Use as PersonLocationType.
        `strBuilding` - Use as Building.
        `strFloor` - Use as Floor.
        `strLocationDescription` - Use as LocationDescription.
        `objComprehensiveLocationIdentifier` - Use as ComprehensiveLocationIdentifier.
        `objAssigningAuthorityForLocation` - Use as AssigningAuthorityForLocation.

    - #### setPendingLocation

          public void setPendingLocation(PL objpendingLocation)

      Set the Pending Location. This field indicates the point of care, room, bed, healthcare facility ID, and bed status to which the patient is move.
      Parameters:
        `objpendingLocation` - object of PendingLocation.

    - #### setPreAdmitNumber

          public void setPreAdmitNumber(java.lang.String strIDNumber,
                               java.lang.String strCheckDigit,
                               java.lang.String strCheckDigitScheme,
                               HD objAssigningAuthority,
                               java.lang.String strIdentifierTypeCode,
                               HD objAssigningFacility,
                               java.lang.String strEffectiveDate,
                               java.lang.String strExpirationDate,
                               CWE objAssigningJurisdiction,
                               CWE objAssigningAgencyOrDepartment,
                               java.lang.String strSecurityCheck,
                               java.lang.String strSecurityCheckScheme)

      Set the Pre Admit Number. This field uniquely identifies the patient's pre admit account.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### setPreAdmitNumber

          public void setPreAdmitNumber(CX objpreAdmitNumber)

      Set the Pre Admit Number. This field uniquely identifies the patient's pre admit account.
      Parameters:
        `objpreAdmitNumber` - object of PreAdmitNumber.

    - #### setPreAdmitTestIndicator

          public void setPreAdmitTestIndicator(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Pre Admit Test Indicator. This field indicates whether the patient must have pre admission testing done in order to be admitted or not.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPreAdmitTestIndicator

          public void setPreAdmitTestIndicator(CWE objpreAdmitTestIndicator)

      Set the Pre Admit Test Indicator. This field indicates whether the patient must have pre admission testing done in order to be admitted or not.
      Parameters:
        `objpreAdmitTestIndicator` - object of PreAdmitTestIndicator.

    - #### setPriorPatientLocation

          public void setPriorPatientLocation(HD objPointOfCare,
                                     HD objRoom,
                                     HD objBed,
                                     HD objFacility,
                                     java.lang.String strLocationStatus,
                                     java.lang.String strPersonLocationType,
                                     HD objBuilding,
                                     HD objFloor,
                                     java.lang.String strLocationDescription,
                                     EI objComprehensiveLocationIdentifier,
                                     HD objAssigningAuthorityForLocation)

      Set the Prior Patient Location. This field contains the prior patient location if the patient is transfer.
      Parameters:
        `strPointOfCare` - Use as PointOfCare.
        `strRoom` - Use as Room.
        `strBed` - Use as Bed.
        `objFacility` - Use as Facility.
        `strLocationStatus` - Use as LocationStatus.
        `strPersonLocationType` - Use as PersonLocationType.
        `strBuilding` - Use as Building.
        `strFloor` - Use as Floor.
        `strLocationDescription` - Use as LocationDescription.
        `objComprehensiveLocationIdentifier` - Use as ComprehensiveLocationIdentifier.
        `objAssigningAuthorityForLocation` - Use as AssigningAuthorityForLocation.

    - #### setPriorPatientLocation

          public void setPriorPatientLocation(PL objpriorPatientLocation)

      Set the Prior Patient Location. This field contains the prior patient location if the patient is transfer.
      Parameters:
        `objpriorPatientLocation` - object of PriorPatientLocation

    - #### setPriorTemporaryLocation

          public void setPriorTemporaryLocation(HD objPointOfCare,
                                       HD objRoom,
                                       HD objBed,
                                       HD objFacility,
                                       java.lang.String strLocationStatus,
                                       java.lang.String strPersonLocationType,
                                       HD objBuilding,
                                       HD objFloor,
                                       java.lang.String strLocationDescription,
                                       EI objComprehensiveLocationIdentifier,
                                       HD objAssigningAuthorityForLocation)

      Set the Prior Temporary Location. This field is used to reflect the patient's temporary location.
      Parameters:
        `strPointOfCare` - Use as PointOfCare.
        `strRoom` - Use as Room.
        `strBed` - Use as Bed.
        `objFacility` - Use as Facility.
        `strLocationStatus` - Use as LocationStatus.
        `strPersonLocationType` - Use as PersonLocationType.
        `strBuilding` - Use as Building.
        `strFloor` - Use as Floor.
        `strLocationDescription` - Use as LocationDescription.
        `objComprehensiveLocationIdentifier` - Use as ComprehensiveLocationIdentifier.
        `objAssigningAuthorityForLocation` - Use as AssigningAuthorityForLocation.

    - #### setPriorTemporaryLocation

          public void setPriorTemporaryLocation(PL objpriorTemporaryLocation)

      Set the Prior Temporary Location. This field is used to reflect the patient's temporary location.
      Parameters:
        `objpriorTemporaryLocation` - object of PriorTemporaryLocation

    - #### setReAdmissionIndicator

          public void setReAdmissionIndicator(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Re Admission Indicator. This field indicates that a patient is re-admitted to the healthcare facility and gives the circumstances.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setReAdmissionIndicator

          public void setReAdmissionIndicator(CWE objreAdmissionIndicator)

      Set the Re Admission Indicator. This field indicates that a patient is re-admitted to the healthcare facility and gives the circumstances.
      Parameters:
        `objreAdmissionIndicator` - object of ReAdmissionIndicator.

    - #### addReferringDoctor

          public void addReferringDoctor(java.lang.String strIDNumber,
                                FN objFamilyName,
                                java.lang.String strGivenName,
                                java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                java.lang.String strSuffix,
                                java.lang.String strPrefix,
                                CWE objSourceTable,
                                HD objAssigningAuthority,
                                java.lang.String strNameTypeCode,
                                java.lang.String strIdentifierCheckDigit,
                                java.lang.String strCheckDigitScheme,
                                java.lang.String strIdentifierTypeCode,
                                HD objAssigningFacility,
                                java.lang.String strNameRepresentationCode,
                                CWE objNameContext,
                                java.lang.String strNameAssemblyOrder,
                                java.lang.String strEffectiveDate,
                                java.lang.String strExpirationDate,
                                java.lang.String strProfessionalSuffix,
                                CWE objAssigningJurisdiction,
                                CWE objAssigningAgencyOrDepratment,
                                java.lang.String strSecurityCheck,
                                java.lang.String strSecurityCheckScheme)

      Set the Referring Doctor. This field contains the referring physician information.
      Parameters:
        `strIDNumber` - Refers to the coded ID according to a user-defined table
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strSourceTable` - Used as the HL7 identifier for the user-defined table of values for this component. [Refer User-defined Table 0297 - CN ID.]
        `objAssigningAuthority` - Specifies a unique identifier of the system (or organization or agency of department) that creates the data. [Refer User-defined Table 0363 - Assigning authority]
        `strNameTypeCode` - Specifies a code that represents the type of name.
        `strIdentifierCheckDigit` - Specifies part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Specifies the code identifying the check digit scheme employed.[Refer HL7 Table 0061 - Check digit scheme].
        `strIdentifierTypeCode` - Specifies A code corresponding to the type of identifier.[Refer HL7 Table 0203 - Identifier type].
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the person
        `strNameRepresentationCode` - Provides an indication of the representation provided by the data item.
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepratment` - Specifies the agency or department that assigned the identifier
        `strSecurityCheck` - Specifies the version code that may be assigned to the person identifier
        `strSecurityCheckScheme` - Specifies the check digit scheme.

    - #### addReferringDoctor

          public void addReferringDoctor(XCN objtempReferringDoctor)

      Sets the ReferringDoctor.
      Parameters:
        `objtempReferringDoctor` - object of ReferringDoctor

    - #### setReferringDoctor

          public void setReferringDoctor(ISingleCollection<XCN> objReferringDoctorList)

      Set the Referring Doctor list.
      Parameters:
        `objReferringDoctorList` - List of Referring Doctor

    - #### setServicingFacility

          public void setServicingFacility(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Servicing Facility. This field specify a multiple facility environment to indicate the healthcare facility with which this visit is associated.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setServicingFacility

          public void setServicingFacility(CWE objservicingFacility)

      Set the Servicing Facility. This field specify a multiple facility environment to indicate the healthcare facility with which this visit is associated.
      Parameters:
        `objservicingFacility` - object of ServicingFacility.

    - #### setSetID

          public void setSetID(java.lang.String strSquenceID)

      Set the Set ID. This field contains the number that identifies this transaction.
      Parameters:
        `strSquenceID` - Use as SquenceID.

    - #### setSetID

          public void setSetID(SI objsetID)

      Set the Set ID. This field contains the number that identifies this transaction.
      Parameters:
        `objsetID` - object of SetID.

    - #### setTemporaryLocation

          public void setTemporaryLocation(HD objPointOfCare,
                                  HD objRoom,
                                  HD objBed,
                                  HD objFacility,
                                  java.lang.String strLocationStatus,
                                  java.lang.String strPersonLocationType,
                                  HD objBuilding,
                                  HD objFloor,
                                  java.lang.String strLocationDescription,
                                  EI objComprehensiveLocationIdentifier,
                                  HD objAssigningAuthorityForLocation)

      Set the Temporary Location. This field contains a location other than the assigned location require for a temporary period of time(e.g., OR, operating theatre, etc.).
      Parameters:
        `strPointOfCare` - Use as PointOfCare.
        `strRoom` - Use as Room.
        `strBed` - Use as Bed.
        `objFacility` - Use as Facility.
        `strLocationStatus` - Use as LocationStatus.
        `strPersonLocationType` - Use as PersonLocationType.
        `strBuilding` - Use as Building.
        `strFloor` - Use as Floor.
        `strLocationDescription` - Use as LocationDescription.
        `objComprehensiveLocationIdentifier` - Use as ComprehensiveLocationIdentifier.
        `objAssigningAuthorityForLocation` - Use as AssigningAuthorityForLocation.

    - #### setTemporaryLocation

          public void setTemporaryLocation(PL objtemporaryLocation)

      Set the Temporary Location. This field contains a location other than the assigned location require for a temporary period of time(e.g., OR, operating theatre, etc.).
      Parameters:
        `strPointOfCare` - Use as PointOfCare.
        `objtemporaryLocation` - object of TemporaryLocation

    - #### setTotalPayments

          public void setTotalPayments(java.lang.String strTotalPayments)

      Set the Total Payments.
      Parameters:
        `strTotalPayments` - Use as TotalPayments.

    - #### setTotalPayments

          public void setTotalPayments(NM objtotalPayments)

      Set the Total Payments.
      Parameters:
        `objtotalPayments` - object of TotalPayments.

    - #### setTotalAdjustments

          public void setTotalAdjustments(java.lang.String strTotalAdjustments)

      Set the Total Adjustments. This field contains the total adjustments for visit.
      Parameters:
        `strTotalAdjustments` - Use as TotalAdjustments.

    - #### setTotalAdjustments

          public void setTotalAdjustments(NM objtotalAdjustments)

      Set the Total Adjustments. This field contains the total adjustments for visit.
      Parameters:
        `objtotalAdjustments` - object of TotalAdjustments.

    - #### setTotalCharges

          public void setTotalCharges(java.lang.String strTotalCharges)

      Set the Total Charges.
      Parameters:
        `strTotalCharges` - Use as TotalCharges.

    - #### setTotalCharges

          public void setTotalCharges(NM objtotalCharges)

      Set the Total Charges.
      Parameters:
        `objtotalCharges` - object of TotalCharges.

    - #### setTransferToBadDebtCode

          public void setTransferToBadDebtCode(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Transfer To Bad Debt Code. This field indicates that the account is transfer to bad debts and gives its reason.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setTransferToBadDebtCode

          public void setTransferToBadDebtCode(CWE objtransferToBadDebtCode)

      Set the Transfer To Bad Debt Code. This field indicates that the account is transfer to bad debts and gives its reason.
      Parameters:
        `objtransferToBadDebtCode` - object of TransferToBadDebtCode.

    - #### setTransferToBadDebtDate

          public void setTransferToBadDebtDate(java.lang.String strTransferToBadDebtDate)

      Set the Transfer To Bad Debt Date. This field contains the date that the account is transferred to a bad debt status.
      Parameters:
        `strTransferToBadDebtDate` - Use as TransferToBadDebtDate.

    - #### setTransferToBadDebtDate

          public void setTransferToBadDebtDate(DT objtransferToBadDebtDate)

      Set the Transfer To Bad Debt Date. This field contains the date that the account is transferred to a bad debt status.
      Parameters:
        `objtransferToBadDebtDate` - object of TransferToBadDebtDate.

    - #### setVipIndicator

          public void setVipIndicator(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the Vip Indicator.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setVipIndicator

          public void setVipIndicator(CWE objvipIndicator)

      Set the Vip Indicator.
      Parameters:
        `objvipIndicator` - object of VIPIndicator.

    - #### setVisitIndicator

          public void setVisitIndicator(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Visit Indicator. This field specifies the level on which data are being sent.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setVisitIndicator

          public void setVisitIndicator(CWE objvisitIndicator)

      Set the Visit Indicator. This field specifies the level on which data are being sent.
      Parameters:
        `objvisitIndicator` - object of VisitIndicator.

    - #### setVisitNumber

          public void setVisitNumber(java.lang.String strIDNumber,
                            java.lang.String strCheckDigit,
                            java.lang.String strCheckDigitScheme,
                            HD objAssigningAuthority,
                            java.lang.String strIdentifierTypeCode,
                            HD objAssigningFacility,
                            java.lang.String strEffectiveDate,
                            java.lang.String strExpirationDate,
                            CWE objAssigningJurisdiction,
                            CWE objAssigningAgencyOrDepartment,
                            java.lang.String strSecurityCheck,
                            java.lang.String strSecurityCheckScheme)

      Set the Visit Number. This field contains the unique number assigned to each patient visit.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### setVisitNumber

          public void setVisitNumber(CX objvisitNumber)

      Set the Visit Number. This field contains the unique number assigned to each patient visit.
      Parameters:
        `objvisitNumber` - object of VisitNumber

    - #### setServiceEpisodeDescription

          public void setServiceEpisodeDescription(java.lang.String strServiceEpisodeDescription)

      Set the Service Episode Description. : This field contains a brief user-defined description of a Service Episode in or for which the visit occurs.
      Parameters:
        `strServiceEpisodeDescription` - : This field contains a brief user-defined description of a Service Episode in or for which the visit occurs. .

    - #### setServiceEpisodeDescription

          public void setServiceEpisodeDescription(ST objserviceEpisodeDescription)

      Set the Service Episode Description. : This field contains a brief user-defined description of a Service Episode in or for which the visit occurs.
      Parameters:
        `objserviceEpisodeDescription` - : This field contains a brief user-defined description of a Service Episode in or for which the visit occurs. .

    - #### setServiceEpisodeIdentifier

          public void setServiceEpisodeIdentifier(java.lang.String strIDNumber,
                                         java.lang.String strCheckDigit,
                                         java.lang.String strCheckDigitScheme,
                                         HD objAssigningAuthority,
                                         java.lang.String strIdentifierTypeCode,
                                         HD objAssigningFacility,
                                         java.lang.String strEffectiveDate,
                                         java.lang.String strExpirationDate,
                                         CWE objAssigningJurisdiction,
                                         CWE objAssigningAgencyOrDepartment,
                                         java.lang.String strSecurityCheck,
                                         java.lang.String strSecurityCheckScheme)

      Set the Service Episode Identifier. This field contains the unique number assigned to each patient visit.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - This component is used to communicate a version code that may be assigned to the value given in CX.1 ID
        `strSecurityCheckScheme` - This component is used to transmit information intended to validate the veracity of the supplied identifier or the presenter of the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### setServiceEpisodeIdentifier

          public void setServiceEpisodeIdentifier(CX objServiceEpisodeIdentifier)

      Set the Service Episode Identifier. This field contains the unique number assigned to each patient visit.
      Parameters:
        `objServiceEpisodeIdentifier` - object defining Service Episode Identifier

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.